#!/usr/bin/cyradm -file

set mode [lindex $argv 0]
set user [lindex $argv 1]

eval cyradm connect cyr_conn localhost 143

puts stdout "Connected to IMAP server. Authenticating..."

if [catch {eval cyr_conn authenticate -pwcommand {{
 set hostname "localhost"
 set adminid "bofh"
 set adminpw ""

 list $adminid $adminpw
 }}  } result ] {
  puts stderr "$result (cleartext)"
  return -code error $result
 } else {
  puts  "Authentication successful."
 }

if {$mode == "add"} {
 if [catch {cyr_conn createmailbox user.$user} result] {
  puts stderr $result
 } else {
  puts "Created mailbox user.$user"
 }
 if [catch {cyr_conn setaclmailbox user.$user $user all} result] {
  puts stderr $result
 } else {
  puts "Cave users append rights user.$user"
 }

}

if {$mode == "del"} {
  if [catch {cyr_conn setaclmailbox user.$user imapadmin d} result] { 
      puts stderr $result 
  } else { 
      puts "setaclmailbox user.$user bofh d" 
  }   

 if [catch {cyr_conn deletemailbox user.$user} result] {
  puts stderr $result
 } else {
  puts "Deleted mailbox user.$user"
 }
}

